using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class BrandView : System.Web.UI.Page
{
	System.Data.OleDb.OleDbConnection oConnection = null;
	System.Data.OleDb.OleDbCommand oCommand = null;
	System.Data.OleDb.OleDbDataReader oDataReader = null;

	protected void Page_Load(object sender, EventArgs e)
	{
		string Brand = "";
		if (string.IsNullOrEmpty(Request.Params["brand"]))
		{
			Brand = "";
		}
		else
		{
			Brand = Request.Params["brand"].ToString();
			Brand.ToUpper();
		}

		if (Brand == "")
		{
			Response.Redirect("GeneralList.aspx");
		}
		else
		{
			oConnection = new System.Data.OleDb.OleDbConnection();
			string strPath = Server.MapPath("DB\\Rahyab.mdb");
			oConnection.ConnectionString =
				"Provider=Microsoft.Jet.OLEDB.4.0;" +
				"Data Source=" + strPath + ";Persist Security Info=False";

			oCommand = new System.Data.OleDb.OleDbCommand();
			oCommand.Connection = oConnection;
			oCommand.CommandTimeout = 60;

			oCommand.CommandText = "select brand,model,cpu,ram,hdd,lcd,vga,options,userprice from List where brand='" + Brand + "'";

			if (oConnection.State != System.Data.ConnectionState.Open)
				oConnection.Open();

			oDataReader = oCommand.ExecuteReader();

			GridView1.DataSource = oDataReader;
			GridView1.DataBind();

			if (oConnection.State != System.Data.ConnectionState.Closed)
				oConnection.Close();

		}
	}
}
